> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/rma.md).

# RMA

Funktionen zur Verarbeitung von Retouren

## GET /erp/rma/{documentId}/lines-to-transfer-to-shipping-order

> Lists goods exchange lines eligible for transfer to shipping order

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.32.9"},"tags":[{"name":"RMA","description":"Funktionen zur Verarbeitung von Retouren"}],"servers":[{"url":"http://10.102.24.100:32794/api","description":"Generated server url"}],"paths":{"/erp/rma/{documentId}/lines-to-transfer-to-shipping-order":{"get":{"tags":["RMA"],"summary":"Lists goods exchange lines eligible for transfer to shipping order","operationId":"getGoodsExchangeLinesToTransferIntoShippingOrder","parameters":[{"name":"documentId","in":"path","description":"document identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-GoodsExchangeLine"}}}}}}}}},"components":{"schemas":{"erp-document-GoodsExchangeLine":{"description":"Warenersatz-Positionen für die Übernahme in Kundenauftrag/Versandauftrag","properties":{"documentLineId":{"type":"string","description":"Id der DocumentLine","readOnly":true},"position":{"type":"integer","format":"int32","description":"Positionsnummer","readOnly":true},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelbezeichnung","readOnly":true},"articleId":{"type":"integer","format":"int64","description":"Artikel-ID","readOnly":true},"quantity":{"type":"number","description":"Gesamtmenge der Position","readOnly":true},"alreadyTransferredQuantity":{"type":"number","description":"Bereits in Aufträge übernommene Menge","readOnly":true},"transferableQuantity":{"type":"number","description":"Übernehmbare Menge"},"requiresCustomerOrder":{"type":"boolean","description":"Erfordert Kundenauftrag (true) oder Versandauftrag (false)","readOnly":true}},"required":["transferableQuantity"]}}}}
```

## GET /erp/rma/{documentId}/lines-to-transfer-to-return

> Lists all returnable document lines (rooted on the delivery) for transfer

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.32.9"},"tags":[{"name":"RMA","description":"Funktionen zur Verarbeitung von Retouren"}],"servers":[{"url":"http://10.102.24.100:32794/api","description":"Generated server url"}],"paths":{"/erp/rma/{documentId}/lines-to-transfer-to-return":{"get":{"tags":["RMA"],"summary":"Lists all returnable document lines (rooted on the delivery) for transfer","operationId":"getReturnableLines","parameters":[{"name":"documentId","in":"path","description":"document identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-ReturnableLine"}}}}}}}}},"components":{"schemas":{"erp-document-ReturnableLine":{"description":"Retournierbare Positionen","properties":{"documentLineId":{"type":"string","description":"Id der DocumentLine","readOnly":true},"position":{"type":"integer","format":"int32","description":"Positionsnummer","readOnly":true},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelbezeichnung","readOnly":true},"articleId":{"type":"integer","format":"int64","description":"Artikel-ID","readOnly":true},"alreadyReturnedQuantity":{"type":"number","description":"Bereits retournierte Menge","readOnly":true},"returnableQuantity":{"type":"number","description":"Retournierbare Menge"}},"required":["returnableQuantity"]}}}}
```

## GET /erp/rma/{documentId}/lines-to-transfer-to-customer-order

> Lists goods exchange lines eligible for transfer to customer order

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.32.9"},"tags":[{"name":"RMA","description":"Funktionen zur Verarbeitung von Retouren"}],"servers":[{"url":"http://10.102.24.100:32794/api","description":"Generated server url"}],"paths":{"/erp/rma/{documentId}/lines-to-transfer-to-customer-order":{"get":{"tags":["RMA"],"summary":"Lists goods exchange lines eligible for transfer to customer order","operationId":"getGoodsExchangeLinesToTransferIntoCustomerOrder","parameters":[{"name":"documentId","in":"path","description":"document identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-GoodsExchangeLine"}}}}}}}}},"components":{"schemas":{"erp-document-GoodsExchangeLine":{"description":"Warenersatz-Positionen für die Übernahme in Kundenauftrag/Versandauftrag","properties":{"documentLineId":{"type":"string","description":"Id der DocumentLine","readOnly":true},"position":{"type":"integer","format":"int32","description":"Positionsnummer","readOnly":true},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"articleName":{"type":"string","description":"Artikelbezeichnung","readOnly":true},"articleId":{"type":"integer","format":"int64","description":"Artikel-ID","readOnly":true},"quantity":{"type":"number","description":"Gesamtmenge der Position","readOnly":true},"alreadyTransferredQuantity":{"type":"number","description":"Bereits in Aufträge übernommene Menge","readOnly":true},"transferableQuantity":{"type":"number","description":"Übernehmbare Menge"},"requiresCustomerOrder":{"type":"boolean","description":"Erfordert Kundenauftrag (true) oder Versandauftrag (false)","readOnly":true}},"required":["transferableQuantity"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/api-reference/rma.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
